
#    Acquisition Mode  -  0x opcodes

#    00   set trigger matching
#    01   set continuous storage
#    02   read acquisition mode
#    03   set keep token
#    04   clear keep token
#    05   load default configuration
#    06   save user configuration
#    07   load user configuration
#    08   set autoload user configuration
#    09   set autoload default configuration

     proc do_amopt {p} {
       variable AMOpt8
       variable AMOpt9

# InsertLog "do_amopt $p"

#  p = 8;   set trigger matching
#      9;   set continuous storage
#      1;   set keep token
#      2;   clear keep token
#      3;   load default configuration
#      4;   save user configuration
#      5;   load user configuration

         switch $p {
            8  {set AMOpt8 [expr ($AMOpt8+1) & 1]}
            9  {set AMOpt9 [expr ($AMOpt9+1) & 1]}
            default {}
         }

    switch $p {
       8  {do_cmd_opcode 0x0000}
       9  {do_cmd_opcode 0x0100}
       3  {do_cmd_opcode 0x0500}
       4  {do_cmd_opcode 0x0600}
       5  {do_cmd_opcode 0x0700}
       6  {do_cmd_opcode 0x0800}
       7  {do_cmd_opcode 0x0900}

    }
    redisplay_am
}

proc  redisplay_am {} {
       variable AMOpt8
       variable AMOpt9

    set mode [expr [do_read_opcode 0x0200] & 1]
    if {$mode == 0} {set AMOpt8 0; set AMopt9 1} else {set AMOpt8 1; set AMopt9 0}

}
