

puts "loading sys.MyRIAD.tcl"


variable registerlist

lappend registerlist [list NetVar.MyRIAD_UseCtrl  "-n MyRIAD_UseCtrl -t int"]

variable MyRIAD_Base 6
variable UseMyRIAD 0




proc Set_MyRIAD_Options {} {puts "Set_MyRIAD_Options"
    variable Options
    variable MyRIAD_Base
    variable UseMyRIAD

    load_Options

   if {![info exists Options(MyRIAD_Base)]} {set Options(MyRIAD_Base) $MyRIAD_Base}
   if {![info exists Options(UseMyRIAD)]}    {set Options(UseMyRIAD) 0}

   set MyRIAD_Base  $Options(MyRIAD_Base)
   set UseMyRIAD  $Options(UseMyRIAD)

    update_Options
}

proc MyRIAD_Configure {} {puts "MyRIAD_Configure"}

proc MyRIAD_DAQ-go {} {puts "MyRIAD_DAQ-go"}

proc MyRIAD_DAQ-halt {} {puts "MyRIAD_DAQ-halt"}

proc MyRIAD_DAQ-setup {} {puts "MyRIAD_DAQ-setup"; MyRIAD_Configure}

proc MyRIAD_DAQ-flush {} {puts "MyRIAD_DAQ-flush"}

proc MyRIAD_DAQ-reset {} {puts "MyRIAD_DAQ-reset"}

proc define_MyRIAD_config {} {puts "define_MyRIAD_config"
   variable Options
   variable MyRIADPres 
   variable UseMyRIAD

   set maxmodule 0
   for {set i 1} {$i <= 16} {incr i} {
      set z [catch {ReadVMERegisterAttr myriad#$i.VMEStatus} m]
      if {$z!=0} then {break}
      incr maxmodule
   }

   if {$maxmodule > 0} then {set MyRIADPres 1; set UseMyRIAD 1} else {set MyRIADPres 0; set UseMyRIAD 0}

   set Options(MyRIADPres) $MyRIADPres
   set Options(UseMyRIAD) $UseMyRIAD

   if {$maxmodule > 0} then {DefineConfig "1495 0 [format "0x%x" $Options(MyRIAD_Base)]"}

   for {set i 1} {$i <= $maxmodule} {incr i} {

      set z [catch {ReadVMERegisterAttr myriad#$i.DataBuffer} m]
      if {$z!=0} then {
          puts "Attempting to locate register MyRIAD#$i.DataBuffer"
          error $m
      }

      DefineConfig "1495 $i [string range [first $m] 2 end]"
   }

puts "MyRIADPres=$MyRIADPres; UseMyRIAD=$Options(UseMyRIAD); MyRIAD_Base=$Options(MyRIAD_Base)"

}


proc create_MyRIAD_spectra {} {puts "create_MyRIAD_spectra"}




