

proc DrawStatsSINGLE {} {
    upvar ITEM ITEM
    variable statsBlock

#   first counters

    set html "<p align=center>"

    append html "<font size=4><b>Counters</b></font>"

    append html "<table cellpadding=0 cellspacing=0 border=0 width=100%>"

    set counters [do_GetCounters $statsBlock]

   set count 0
   for {set i 0} {$i < 16} {incr i} {
      append html "<tr>"
      for {set j 0} {$j < 4} {incr j} {
         if {$ITEM($count) != ""} {
             append html "<td align=left width=15%><font size=2>$ITEM($count)</font></td>"
             append html "<td align=left width=10%><font size=2>[lindex $counters $count]</font></td>"
         }
         incr count
      }
      append html "</tr>"
   }

    append html "</table></font>"

    append html "</p>"

#   then rates 

    append html "<p align=center>"

    append html "<font size=4><b>Rates</b></font>"

    append html "<table cellpadding=0 cellspacing=0 border=0 width=100%>"
    append html "<tr>"

    set rates [do_GetRates $statsBlock]

   set rate 0
   for {set i 0} {$i < 16} {incr i} {
      append html "<tr>"
      for {set j 0} {$j < 4} {incr j} {
         if {$ITEM($rate) != ""} {
            append html "<td align=left width=15%><font size=2>$ITEM($rate)</font></td>"
            append html "<td align=left width=10%><font size=2>[lindex $rates $rate]</font></td>"
         }
         incr rate
      }
      append html "</tr>"
   }

    append html "</tr>"
    append html "</table>"

    append html "</p>"

    return $html
}
    
