

    set A24Base [second [split $AddressData :]]
    set A32Base [third [split $AddressData :]]


DefineRegister $Module xVME BoardID       "-a $A24Base -w 24 -o 0x0000 -p ro -d 16 -l 0 -b 0 -z x"
DefineRegister $Module xVME FIFOStatus    "-a $A24Base -w 24 -o 0x0004 -p ro -d 16 -l 0 -b 0 -z x"
DefineRegister $Module xVME HdwrStatus    "-a $A24Base -w 24 -o 0x0020 -p ro -d 16 -l 0 -b 0 -z x"

DefineRegister $Module xVME P_CTRL        "-a $A24Base -w 24 -o 0x040c -p wo -d 16 -l 0 -b 0 -z x"
DefineRegister $Module xVME FIFO_CTRL     "-a $A24Base -w 24 -o 0x040e -p wo -d 16 -l 0 -b 0 -z x"

DefineRegister $Module xVME FirmW_Rev     "-a $A24Base -w 24 -o 0x0600 -p ro -d 16 -l 0 -b 0 -z x"
DefineRegister $Module xVME FirmW_date    "-a $A24Base -w 24 -o 0x0604 -p ro -d 16 -l 0 -b 0 -z x"
DefineRegister $Module xVME FirmW_year    "-a $A24Base -w 24 -o 0x0606 -p ro -d 16 -l 0 -b 0 -z x"

DefineRegister $Module xVME NIMStatus     "-a $A24Base -w 24 -o 0x0700 -p ro -d 16 -l 0 -b 0 -z x"
DefineRegister $Module xVME Gating        "-a $A24Base -w 24 -o 0x0702 -p rw -d 16 -l 0 -b 0 -z x"
DefineRegister $Module xVME ECLStatusA    "-a $A24Base -w 24 -o 0x0704 -p ro -d 16 -l 0 -b 0 -z x"
DefineRegister $Module xVME ECLStatusB    "-a $A24Base -w 24 -o 0x0706 -p ro -d 16 -l 0 -b 0 -z x"
DefineRegister $Module xVME LTimeStampH   "-a $A24Base -w 24 -o 0x0708 -p ro -d 16 -l 0 -b 0 -z x"
DefineRegister $Module xVME LTimeStampM   "-a $A24Base -w 24 -o 0x070A -p ro -d 16 -l 0 -b 0 -z x"
DefineRegister $Module xVME LTimeStampL   "-a $A24Base -w 24 -o 0x070C -p ro -d 16 -l 0 -b 0 -z x"
DefineRegister $Module xVME SerDesCmdFmt  "-a $A24Base -w 24 -o 0x070e -p rw -d 16 -l 0 -b 0 -z x"
DefineRegister $Module xVME AuxTrigDelay  "-a $A24Base -w 24 -o 0x0710 -p rw -d 16 -l 0 -b 0 -z d"
DefineRegister $Module xVME GSTrigGate    "-a $A24Base -w 24 -o 0x0712 -p rw -d 16 -l 0 -b 0 -z d"
DefineRegister $Module xVME STimeStampH   "-a $A24Base -w 24 -o 0x0714 -p ro -d 16 -l 0 -b 0 -z x"
DefineRegister $Module xVME STimeStampM   "-a $A24Base -w 24 -o 0x0716 -p ro -d 16 -l 0 -b 0 -z x"
DefineRegister $Module xVME STimeStampL   "-a $A24Base -w 24 -o 0x0718 -p ro -d 16 -l 0 -b 0 -z x"
DefineRegister $Module xVME CoincOutCtrl  "-a $A24Base -w 24 -o 0x072c -p rw -d 16 -l 0 -b 0 -z d"
DefineRegister $Module xVME PropCtrl      "-a $A24Base -w 24 -o 0x0728 -p rw -d 16 -l 0 -b 0 -z x"
DefineRegister $Module xVME FIFOCount     "-a $A24Base -w 24 -o 0x07ec -p ro -d 16 -l 0 -b 0 -z d"
DefineRegister $Module xVME TrigCount     "-a $A24Base -w 24 -o 0x07f0 -p ro -d 16 -l 0 -b 0 -z d"
DefineRegister $Module xVME UserCount0    "-a $A24Base -w 24 -o 0x07f2 -p ro -d 16 -l 0 -b 0 -z d"
DefineRegister $Module xVME CoincIssued   "-a $A24Base -w 24 -o 0x0806 -p ro -d 16 -l 0 -b 0 -z d"
DefineRegister $Module xVME CoincTimeOut  "-a $A24Base -w 24 -o 0x0808 -p ro -d 16 -l 0 -b 0 -z d"
DefineRegister $Module xVME SerDesConfig  "-a $A24Base -w 24 -o 0x0848 -p rw -d 16 -l 0 -b 0 -z x"
DefineRegister $Module xVME Reboot        "-a $A24Base -w 24 -o 0x0906 -p wo -d 16 -l 0 -b 0 -z d"

DefineRegister $Module xVME Test1         "-a $A24Base -w 24 -o 0x0918 -p rw -d 16 -l 0 -b 0 -z x"
DefineRegister $Module xVME Test2         "-a $A24Base -w 24 -o 0x091a -p rw -d 16 -l 0 -b 0 -z x"
DefineRegister $Module xVME Test3         "-a $A24Base -w 24 -o 0x091c -p rw -d 16 -l 0 -b 0 -z x"
DefineRegister $Module xVME Test4         "-a $A24Base -w 24 -o 0x091e -p rw -d 16 -l 0 -b 0 -z x"


puts "Defined $Module"
