

puts "loading sys.V1724DPP.tcl"

variable registerlist

lappend registerlist [list NetVar.V1724DPP_NumSamples  "-n V1724DPP_NumSamples -t int"]
lappend registerlist [list NetVar.V1724DPP_VMERetries  "-n V1724DPP_VMERetries -t int"]
lappend registerlist [list NetVar.V1724DPP_BERREnable  "-n V1724DPP_BERREnable -t int"]
lappend registerlist [list NetVar.V1724DPP_VMEBufSize  "-n V1724DPP_VMEBufSize -t int"]

lappend registerlist [list NetVar.V1724DPP_TraceOpt    "-n V1724DPP_TraceOpt -t int"]
lappend registerlist [list NetVar.V1724DPP_Trig        "-n V1724DPP_Trig -t int"]
lappend registerlist [list NetVar.V1724DPP_DVP         "-n V1724DPP_DVP -t int"]
lappend registerlist [list NetVar.V1724DPP_Diag        "-n V1724DPP_Diag -t int"]

lappend registerlist [list NetVar.V1495_UseCtrl     "-n V1495_UseCtrl -t int"]

variable V1724DPP_Base 64

proc Set_V1724DPP_Options {} {
    variable Options
    variable V1724DPP_Base

puts "Set_V1724DPP_Options"

    load_Options

   if {![info exists Options(Use1495)]}                     {set Options(Use1495) 0}
   if {![info exists Options(Usepatterngen)]}               {set Options(Usepatterngen) 1}

   if {![info exists Options(V1724DPP_DPP)]}                   {set Options(V1724DPP_DPP) 1}
   if {![info exists Options(V1724DPP_TraceOpt)]}              {set Options(V1724DPP_TraceOpt) 0}
   if {![info exists Options(V1724DPP_Trig)]}                  {set Options(V1724DPP_Trig) 0}
   if {![info exists Options(V1724DPP_DVP)]}                   {set Options(V1724DPP_DVP) 0}
   if {![info exists Options(V1724DPP_Diag)]}                  {set Options(V1724DPP_Diag) 0}
   if {![info exists Options(V1724DPP_MaxEvtsPerBuf)]}         {set Options(V1724DPP_MaxEvtsPerBuf) 1}
   if {![info exists Options(V1724DPP_MaxBLT)]}                {set Options(V1724DPP_MaxBLT) 1}
   if {![info exists Options(V1724DPP_MemBufSize)]}            {set Options(V1724DPP_MemBufSize) 1024}
   if {![info exists Options(V1724DPP_VMEBufSize)]}            {set Options(V1724DPP_VMEBufSize) 16384}

   if {![info exists Options(V1724DPP_Hist_Diag.Enable)]}      {set Options(V1724DPP_Hist_Diag.Enable) 0}
   if {![info exists Options(V1724DPP_Hist_Diag.channels)]}    {set Options(V1724DPP_Hist_Diag.channels) 16384}

   if {![info exists Options(V1724DPP_Hist_TraceA.Enable)]}    {set Options(V1724DPP_Hist_TraceA.Enable) 1}
#   if {![info exists Options(V1724DPP_Hist_TraceB.Enable)]}    {set Options(V1724DPP_Hist_TraceB.Enable) 0}
set Options(V1724DPP_Hist_TraceB.Enable) 0
   if {![info exists Options(V1724DPP_Hist_Energy.Enable)]}    {set Options(V1724DPP_Hist_Energy.Enable) 1}
   if {![info exists Options(V1724DPP_Hist_BaseLine.Enable)]}  {set Options(V1724DPP_Hist_BaseLine.Enable) 0}
   if {![info exists Options(V1724DPP_Hist_TimeH.Enable)]}     {set Options(V1724DPP_Hist_TimeH.Enable) 0}
   if {![info exists Options(V1724DPP_Hist_TimeL.Enable)]}     {set Options(V1724DPP_Hist_TimeL.Enable) 0}
   if {![info exists Options(V1724DPP_Hist_TraceA.channels)]}  {set Options(V1724DPP_Hist_TraceA.channels) 512}
   if {![info exists Options(V1724DPP_Hist_TraceA.offset)]}    {set Options(V1724DPP_Hist_TraceA.offset) 0}
   if {![info exists Options(V1724DPP_Hist_TraceA.shift)]}     {set Options(V1724DPP_Hist_TraceA.shift) 0}
#   if {![info exists Options(V1724DPP_Hist_TraceB.channels)]}  {set Options(V1724DPP_Hist_TraceB.channels) 512}
#   if {![info exists Options(V1724DPP_Hist_TraceB.offset)]}    {set Options(V1724DPP_Hist_TraceB.offset) 0}
#   if {![info exists Options(V1724DPP_Hist_TraceB.shift)]}     {set Options(V1724DPP_Hist_TraceB.shift) 0}
   if {![info exists Options(V1724DPP_Hist_Energy.channels)]}  {set Options(V1724DPP_Hist_Energy.channels) 32768}
   if {![info exists Options(V1724DPP_Hist_Energy.offset)]}    {set Options(V1724DPP_Hist_Energy.offset) 0}
   if {![info exists Options(V1724DPP_Hist_Energy.shift)]}     {set Options(V1724DPP_Hist_Energy.shift) 0}
   if {![info exists Options(V1724DPP_Hist_BaseLine.channels)]}  {set Options(V1724DPP_Hist_BaseLine.channels) 65536}
   if {![info exists Options(V1724DPP_Hist_BaseLine.offset)]}    {set Options(V1724DPP_Hist_BaseLine.offset) 0}
   if {![info exists Options(V1724DPP_Hist_BaseLine.shift)]}     {set Options(V1724DPP_Hist_BaseLine.shift) 0}
   if {![info exists Options(V1724DPP_Hist_TimeH.channels)]}   {set Options(V1724DPP_Hist_TimeH.channels) 65536}
   if {![info exists Options(V1724DPP_Hist_TimeH.offset)]}     {set Options(V1724DPP_Hist_TimeH.offset) 0}
   if {![info exists Options(V1724DPP_Hist_TimeH.shift)]}      {set Options(V1724DPP_Hist_TimeH.shift) 0}
   if {![info exists Options(V1724DPP_Hist_TimeL.channels)]}   {set Options(V1724DPP_Hist_TimeL.channels) 65536}
   if {![info exists Options(V1724DPP_Hist_TimeL.offset)]}     {set Options(V1724DPP_Hist_TimeL.offset) 0}
   if {![info exists Options(V1724DPP_Hist_TimeL.shift)]}      {set Options(V1724DPP_Hist_TimeL.shift) 0}
   if {![info exists Options(V1724DPP_GroupBase)]}             {set Options(V1724DPP_GroupBase) $V1724DPP_Base}
   set V1724DPP_Base  $Options(V1724DPP_GroupBase)

    update_Options
}

proc V1724DPP_Configure {} {
    variable Options

puts "V1724DPP_Configure"

    set VME_BUFFER_SIZE [ReadNetVar NetVar.V1724DPP_VMEBufSize]
    set Options(V1724DPP_VMEBufSize) $VME_BUFFER_SIZE

      update_Options

    WriteNetVar NetVar.V1724DPP_Trig $Options(V1724DPP_Trig)
    WriteNetVar NetVar.V1724DPP_DVP  $Options(V1724DPP_DVP)
    WriteNetVar NetVar.V1724DPP_Diag  $Options(V1724DPP_Diag)

           switch $Options(V1724DPP_MemBufSize) {
              65536 {set BUFF_ORG 2; set BUFF_NUM 4}
              32768 {set BUFF_ORG 3; set BUFF_NUM 8}
              16384 {set BUFF_ORG 4; set BUFF_NUM 16}
              8192  {set BUFF_ORG 5; set BUFF_NUM 32}
              4096  {set BUFF_ORG 6; set BUFF_NUM 64}
              2048  {set BUFF_ORG 7; set BUFF_NUM 128}
              1024  {set BUFF_ORG 8; set BUFF_NUM 256}
              512   {set BUFF_ORG 9; set BUFF_NUM 512}
              256   {set BUFF_ORG 10; set BUFF_NUM 1024}
              default {set BUFF_ORG 10; set BUFF_NUM 1024}
           }

      set z [catch {ReadVMERegisterAttr V1724DPP#1.VMEStatus} m]
      if {$z==0} then {

           WriteVMERegister V1724DPP#1.VMEControl 16   ;# force BERR option

           set SIZE [ReadVMERegister V1724DPP#1.CustomSize]
           if {$SIZE == 0} {set SIZE 32}
           WriteNetVar NetVar.V1724DPP_NumSamples $SIZE

           set NUM [expr (($Options(V1724DPP_MemBufSize) - 2) * 2) / $SIZE]
           if {$NUM > $Options(V1724DPP_MaxEvtsPerBuf)} {set NUM $Options(V1724DPP_MaxEvtsPerBuf)}

           set BERR [ReadVMERegister V1724DPP#1.VMEControl]  ;#  enable BERR to finish a VME block transfer
           WriteNetVar NetVar.V1724DPP_BERREnable [expr ($BERR >> 4) & 1]

puts "V1724DPP Output buffers $BUFF_NUM  @ $Options(V1724DPP_MemBufSize) 32 bit words"
puts "Waveform [expr $SIZE * 2] samples"
puts "8 channels; $NUM events/buffer"

           set osize [expr (($SIZE + 2) * $NUM) + 2]
puts "V1724DPP buffer size used $osize words out of max $Options(V1724DPP_MemBufSize)"

           if {$osize > $Options(V1724DPP_MemBufSize)} {
              puts "Number of samples or Events per buffer is too big\n\
                 $osize > $Options(V1724DPP_MemBufSize) - this is not permitted\n\
                 correct options and try again"
              return
           }

           set BLT [expr $VME_BUFFER_SIZE / (($osize * 8) + 4)]
           if {$BLT > $Options(V1724DPP_MaxBLT)} {set BLT $Options(V1724DPP_MaxBLT)}

puts "BLT Event Number = $BLT"
           set isize [expr (($osize * 8) + 4) * $BLT]
puts "Data Acq Input buffer size used $isize words out of max $VME_BUFFER_SIZE"

puts "V1724DPP_Configure $BERR $SIZE $BUFF_ORG $NUM"

           WriteVMERegisters V1724DPP#*.VMEControl $BERR     ;# set all modules to same setting
           WriteVMERegisters V1724DPP#*.CustomSize $SIZE     ;# set all modules to same setting
           WriteVMERegisters V1724DPP#*.BufferOrg $BUFF_ORG
           WriteVMERegisters V1724DPP#\[?,??\].EvtsPerBuf $NUM
           WriteVMERegisters V1724DPP#*.BLTEventNum $BLT     ;# set all modules to same setting
      }

puts "V1724DPP_Configure $Options(Use1495)"

    if {$Options(Use1495) == 1} {WriteVMERegisters v1495#1.ArmLimit $BLT}
    WriteNetVar NetVar.V1495_UseCtrl  $Options(Use1495)

puts "V1724DPP_Configure finished"

}

proc V1724DPP_DAQ-go {} {
    variable Options

    if {$Options(V1724DPP_DPP) == 0} {return}    ;# not DPP - handled by V17XX_DAQ-go

#       WriteVMERegisters V1724DPP#*.Clear 0
    WriteVMERegisters V1724DPP#*.AcqControl 4
}

proc V1724DPP_DAQ-halt {} {
    variable Options

    if {$Options(V1724DPP_DPP) == 0} {return}    ;# not DPP - handled by V17XX_DAQ-halt

    WriteVMERegisters V1724DPP#*.AcqControl 0
}

proc V1724DPP_DAQ-setup {} {
    variable Options

    if {$Options(V1724DPP_DPP) == 0} {return}    ;# not DPP - handled by V17XX_DAQ-setup

     V1724DPP_Configure
}

proc V1724DPP_DAQ-flush {} {}

proc V1724DPP_DAQ-reset {} {}

proc Dump_Raw_V1724DPP_Data {} {

   set maxmodule 0
   for {set i 1} {$i <= 16} {incr i} {
      set z [catch {ReadVMERegisterAttr V1724DPP#$i.VMEStatus} m]
      if {$z!=0} then {break}
      incr maxmodule
   }

    set info "Raw data dump for CAEN V1724DPP\n"

    for {set i 1} {$i <= $maxmodule} {incr i} {

       append info "V1724DPP#$i\n"

        DataAcqCommand 19 "Getting Raw Data" "1 $i" 2
        set data [ReadNetVar NetVar.EXEC.Response]

        foreach word $data {
           if {[string range $word 0 1] != "0x"} then {set word 0x$word}
           if {$word == 0xaa5555aa} then {
               append info "$word - end of dump\n"
               break
           }
           if {$word == 0x55aaaa55} then {
               append info "$word - end of event\n"
               continue
           }
           append info "$word "
        }

        append info "\n"
     }

   return $info
}


proc define_V1724DPP_config {} {
    variable Options
    variable V1724DPP_Base

#   set maxmodule [inform vmecontrol inquire V1724DPPcount]
#   if {[string length $maxmodule] > 2} {set maxmodule 0}

    if {$Options(V1724DPP_DPP) == 0} {return}    ;# not DPP 

puts "define_V1724DPP_config"

   set maxmodule 0
   for {set i 1} {$i <= 16} {incr i} {
      set z [catch {ReadVMERegisterAttr V1724DPP#$i.VMEStatus} m]
      if {$z!=0} then {break}
      incr maxmodule
   }

   if {$maxmodule > 0} then {DefineConfig "1724 0 [format "0x%x" $V1724DPP_Base]"}

   for {set i 1} {$i <= $maxmodule} {incr i} {

      set z [catch {ReadVMERegisterAttr V1724DPP#$i.Output_Buffer} m]
      if {$z!=0} then {
          puts "Attempting to locate register V1724DPP#$i.Output_Buffer"
          error $m
      }

      DefineConfig "1724 $i [string range [first $m] 2 end]"
   }
}

proc create_V1724DPP_spectra {} {
    variable V1724DPP_Base
    variable Options 

puts "create_V1724DPP_spectra"

    if {$Options(V1724DPP_DPP) == 0} {return}    ;# not DPP 

   set maxmodule 0
   for {set i 1} {$i <= 16} {incr i} {
      set z [catch {ReadVMERegisterAttr V1724DPP#$i.VMEStatus} m]
      if {$z!=0} then {break}
      incr maxmodule
   }

   set UseGroup [ReadNetVar NetVar.UseGroup]

   for {set i 1} {$i <= $maxmodule} {incr i} {

     if {$Options(V1724DPP_Hist_Diag.Enable) == 1} {

#    histograms for diagnostics output

           set spectrumname V1724DPP#$i.Diag
           set z [catch {CreateSpectrum1D $spectrumname $Options(V1724DPP_Hist_Diag.channels)} m]

#    Allow "Spectrum already exists" so that further spectra can be created
           if {$z!=0 && $m==0x30004} then {set z 0}
           if {$z!=0} then {
              puts "Attempting to create spectrum $spectrumname"
              error $m
           } else {
               map_spectrum  "$spectrumname 0 $i 0 0"
           }
     }

     if {$Options(V1724DPP_Hist_Energy.Enable) == 1} {

        for {set j 0} {$j < 8} {incr j} {   

#    histograms for the computed energy

           set spectrumname V1724DPP#$i.E[set j]
           set z [catch {CreateSpectrum1D $spectrumname $Options(V1724DPP_Hist_Energy.channels)} m]

#    Allow "Spectrum already exists" so that further spectra can be created
           if {$z!=0 && $m==0x30004} then {set z 0}
           if {$z!=0} then {
              puts "Attempting to create spectrum $spectrumname"
              error $m
           } else {

               if {$UseGroup == 0} {
                   set group [expr ($i - 1) + $V1724DPP_Base]
                   set item [expr $j + (0 << 3)]
               } else {
                   set group [expr (($i - 1) * 8) + $j + $V1724DPP_Base]
                   set item 0
               }
               map_spectrum  "$spectrumname $group $item $Options(V1724DPP_Hist_Energy.offset) $Options(V1724DPP_Hist_Energy.shift)"

           }
        }
     }

     if {$Options(V1724DPP_Hist_BaseLine.Enable) == 1} {

        for {set j 0} {$j < 8} {incr j} {   

#    histograms for the base line

           set spectrumname V1724DPP#$i.B[set j]
           set z [catch {CreateSpectrum1D $spectrumname $Options(V1724DPP_Hist_BaseLine.channels)} m]

#    Allow "Spectrum already exists" so that further spectra can be created
           if {$z!=0 && $m==0x30004} then {set z 0}
           if {$z!=0} then {
              puts "Attempting to create spectrum $spectrumname"
              error $m
           } else {

               if {$UseGroup == 0} {
                   set group [expr ($i - 1) + $V1724DPP_Base]
                   set item [expr $j + (1 << 3)]
               } else {
                   set group [expr (($i - 1) * 8) + $j + $V1724DPP_Base]
                   set item 1
               }
               map_spectrum  "$spectrumname $group $item $Options(V1724DPP_Hist_BaseLine.offset) $Options(V1724DPP_Hist_BaseLine.shift)"

           }
        }
     }


     if {$Options(V1724DPP_Hist_TimeH.Enable) == 1} {

        for {set j 0} {$j < 8} {incr j} {   

#    histograms for the time (MSW)

           set spectrumname V1724DPP#$i.TH[set j]
           set z [catch {CreateSpectrum1D $spectrumname $Options(V1724DPP_Hist_TimeH.channels)} m]

#    Allow "Spectrum already exists" so that further spectra can be created
           if {$z!=0 && $m==0x30004} then {set z 0}
           if {$z!=0} then {
              puts "Attempting to create spectrum $spectrumname"
              error $m
           } else {
               if {$UseGroup == 0} {
                   set group [expr ($i - 1) + $V1724DPP_Base]
                   set item [expr $j + (2 << 3)]
               } else {
                   set group [expr (($i - 1) * 8) + $j + $V1724DPP_Base]
                   set item 2
               }
              map_spectrum  "$spectrumname $group $item $Options(V1724DPP_Hist_TimeH.offset) $Options(V1724DPP_Hist_TimeH.shift)"
           }
        }
     }

    if {$Options(V1724DPP_Hist_TimeL.Enable) == 1} {

        for {set j 0} {$j < 8} {incr j} {   

#    histograms for the time (LSW)

           set spectrumname V1724DPP#$i.TL[set j]
           set-footer "Creating $spectrumname"
           set z [catch {CreateSpectrum1D $spectrumname $Options(V1724DPP_Hist_TimeL.channels)} m]

#    Allow "Spectrum already exists" so that further spectra can be created
           if {$z!=0 && $m==0x30004} then {set z 0}
           if {$z!=0} then {
              puts "Attempting to create spectrum $spectrumname"
              error $m
           } else {
               if {$UseGroup == 0} {
                   set group [expr ($i - 1) + $V1724DPP_Base]
                   set item [expr $j + (3 << 3)]
               } else {
                   set group [expr (($i - 1) * 8) + $j + $V1724DPP_Base]
                   set item 3
               }
              map_spectrum  "$spectrumname $group $item $Options(V1724DPP_Hist_TimeL.offset) $Options(V1724DPP_Hist_TimeL.shift)"
           }
        }
     }

     if {$Options(V1724DPP_Hist_TraceA.Enable) == 1} {

        for {set j 0} {$j < 8} {incr j} {   

#    histograms for the data trace A

           set spectrumname V1724DPP#$i.ChA[set j]
           set z [catch {CreateSpectrum1D $spectrumname $Options(V1724DPP_Hist_TraceA.channels)} m]

#    Allow "Spectrum already exists" so that further spectra can be created
           if {$z!=0 && $m==0x30004} then {set z 0}
           if {$z!=0} then {
              puts "Attempting to create spectrum $spectrumname"
              error $m
           } else {
              set group  [expr (($i-1) * 8) + $j + 256  + $V1724DPP_Base] 
              map_spectrum  "$spectrumname $group 0 $Options(V1724DPP_Hist_TraceA.offset) $Options(V1724DPP_Hist_TraceA.shift)"
           }
        }
     }

     if {$Options(V1724DPP_Hist_TraceB.Enable) == 1} {

        for {set j 0} {$j < 8} {incr j} {   

#    histograms for the data trace B

           set spectrumname V1724DPP#$i.ChB[set j]
           set z [catch {CreateSpectrum1D $spectrumname $Options(V1724DPP_Hist_TraceB.channels)} m]

#    Allow "Spectrum already exists" so that further spectra can be created
           if {$z!=0 && $m==0x30004} then {set z 0}
           if {$z!=0} then {
              puts "Attempting to create spectrum $spectrumname"
              error $m
           } else {
              set group  [expr (($i-1) * 8) + $j + 384  + $V1724DPP_Base] 
              map_spectrum  "$spectrumname $group 0 $Options(V1724DPP_Hist_TraceB.offset) $Options(V1724DPP_Hist_TraceB.shift)"
           }
        }
     }
   }
}

