

    set A32Base [third [split $AddressData :]]


   DefineRegister $Module xVME Firmware_Rev        "-a $A32Base -w 32 -o 0x800c -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME GEO_Address         "-a $A32Base -w 32 -o 0x8008 -p ro -d 16 -l 5 -b 0 -z x"
   DefineRegister $Module xVME Reset               "-a $A32Base -w 32 -o 0x800a -p wo -d 16 -l 0 -b 0"

   DefineRegister $Module xVME ROM.OUI_MSB         "-a $A32Base -w 32 -o 0x8124 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.OUI             "-a $A32Base -w 32 -o 0x8128 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.OUI_LSB         "-a $A32Base -w 32 -o 0x812c -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.Version         "-a $A32Base -w 32 -o 0x8130 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.BID_MSB         "-a $A32Base -w 32 -o 0x8134 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.BID             "-a $A32Base -w 32 -o 0x8138 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.BID_LSB         "-a $A32Base -w 32 -o 0x813c -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.Rev             "-a $A32Base -w 32 -o 0x804c -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.Ser_MSB         "-a $A32Base -w 32 -o 0x8180 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.Ser_LSB         "-a $A32Base -w 32 -o 0x8184 -p ro -d 16 -l 0 -b 0 -z x"

   DefineRegister $Module xVME UserConfig          "-a $A32Base -w 32 -o 0x8016 -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME UserFlashSel        "-a $A32Base -w 32 -o 0x8012 -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME UserFlashMem        "-a $A32Base -w 32 -o 0x8014 -p rw -d 16 -l 0 -b 0 -z x"

   DefineRegister $Module xVME FlashData           "-a $A32Base -w 32 -o 0x8014 -p ro -d 16 -l 0 -b 0 -z x"

   DefineRegister $Module xVME Scratch16           "-a $A32Base -w 32 -o 0x8018 -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME Scratch32           "-a $A32Base -w 32 -o 0x8020 -p rw -d 32 -l 0 -b 0 -z x"

   DefineRegister $Module xVME DataItem            "-a $A32Base -w 32 -o 0x0 -p ro -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module bVME DataBuffer          "-a $A32Base -w 32 -o 0x0 -p ro -d 32 -z x -l 64"

   DefineRegister $Module xVME FPGAItem            "-a $A32Base -w 32 -o 0x1000 -p rw -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module bVME FPGABuffer          "-a $A32Base -w 32 -o 0x1000 -p rw -d 32 -z x -l 64"

   DefineRegister $Module xVME StatusA_L          "-a $A32Base -w 32 -o 0x1000 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME StatusA_H          "-a $A32Base -w 32 -o 0x1002 -p ro -d 16 -l 0 -b 0 -z x"

   DefineRegister $Module xVME StatusB_L          "-a $A32Base -w 32 -o 0x1004 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME StatusB_H          "-a $A32Base -w 32 -o 0x1006 -p ro -d 16 -l 0 -b 0 -z x"

   DefineRegister $Module xVME StatusC_L          "-a $A32Base -w 32 -o 0x1008 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME StatusC_H          "-a $A32Base -w 32 -o 0x100a -p ro -d 16 -l 0 -b 0 -z x"

   DefineRegister $Module xVME MaskA_L            "-a $A32Base -w 32 -o 0x100c -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME MaskA_H            "-a $A32Base -w 32 -o 0x100e -p rw -d 16 -l 0 -b 0 -z x"

   DefineRegister $Module xVME MaskB_L            "-a $A32Base -w 32 -o 0x1010 -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME MaskB_H            "-a $A32Base -w 32 -o 0x1012 -p rw -d 16 -l 0 -b 0 -z x"

   DefineRegister $Module xVME MaskC_L            "-a $A32Base -w 32 -o 0x1014 -p wo -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME MaskC_H            "-a $A32Base -w 32 -o 0x1016 -p wo -d 16 -l 0 -b 0 -z x"

   DefineRegister $Module xVME ControlC_L         "-a $A32Base -w 32 -o 0x101a -p wo -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ControlC_H         "-a $A32Base -w 32 -o 0x101c -p wo -d 16 -l 0 -b 0 -z x"

   DefineRegister $Module xVME ControlD_L         "-a $A32Base -w 32 -o 0x1024 -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ControlD_H         "-a $A32Base -w 32 -o 0x1026 -p rw -d 16 -l 0 -b 0 -z x"

   DefineRegister $Module xVME ControlE_L         "-a $A32Base -w 32 -o 0x102c -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ControlE_H         "-a $A32Base -w 32 -o 0x102e -p rw -d 16 -l 0 -b 0 -z x"

   DefineRegister $Module xVME ControlF_L         "-a $A32Base -w 32 -o 0x1034 -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ControlF_H         "-a $A32Base -w 32 -o 0x1036 -p rw -d 16 -l 0 -b 0 -z x"


   DefineRegister $Module xVME DataD_L            "-a $A32Base -w 32 -o 0x1028 -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME DataD_H            "-a $A32Base -w 32 -o 0x102a -p rw -d 16 -l 0 -b 0 -z x"

   DefineRegister $Module xVME DataE_L            "-a $A32Base -w 32 -o 0x1030 -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME DataE_H            "-a $A32Base -w 32 -o 0x1032 -p rw -d 16 -l 0 -b 0 -z x"

   DefineRegister $Module xVME DataF_L            "-a $A32Base -w 32 -o 0x1038 -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME DataF_H            "-a $A32Base -w 32 -o 0x103a -p rw -d 16 -l 0 -b 0 -z x"


   DefineRegister $Module xVME GateWidth          "-a $A32Base -w 32 -o 0x1018 -p wo -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME Mode               "-a $A32Base -w 32 -o 0x101e -p wo -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME Scratch            "-a $A32Base -w 32 -o 0x1020 -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME GControl           "-a $A32Base -w 32 -o 0x1022 -p wo -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME Revision           "-a $A32Base -w 32 -o 0x103c -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME PDLControl         "-a $A32Base -w 32 -o 0x103e -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME PDLData            "-a $A32Base -w 32 -o 0x1040 -p rw -d 16 -l 0 -b 0 -z x"

   DefineRegister $Module xVME IDCode_D           "-a $A32Base -w 32 -o 0x1042 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME IDCode_E           "-a $A32Base -w 32 -o 0x1044 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME IDCode_F           "-a $A32Base -w 32 -o 0x1046 -p ro -d 16 -l 0 -b 0 -z x"


puts "Defined $Module"
