

# removed all the puts except for error conditions 


    proc ReadPGRISRegister {Addr}  {
        global errorCode errorInfo
        global MIDAS_XPGRISAccessServer_Exists
        global XPGRISAccessServerHost

 #puts "ReadPGRISRegister: Get Addr=[format \"0x%x\" $Addr]"
# return 0

        if {[info exists MIDAS_XPGRISAccessServer_Exists]} {
 #puts "ReadPGRISRegister do_Get"
            set rc [catch {interp eval "" ::namespace inscope ::urn:XPGRISAccessServer do_Get $Addr} m]
        } else {
            if {$XPGRISAccessServerHost != $::PGRIS::FEE64} {
                set XPGRISAccessServerHost  $::PGRIS::FEE64
 #puts "ReadPGRISRegister configure $XPGRISAccessServerHost"
                XPGRISAccessClient_Configure
            }
 #puts "ReadPGRISRegister  $XPGRISAccessServerHost  XPGRISAccessClient__Get"
            set rc [catch {XPGRISAccessClient__Get $Addr} m]
        }
        if {$rc != 0} {
            InsertLog "Get returned with an error\n$m\n$errorCode\n$errorInfo"
  puts "ReadPGRISRegister returned with an error\n$m\n$errorCode\n$errorInfo"
            return -1
        } else {
  #          InsertLog "Get Addr=[format \"0x%x\" $Addr] => $m [format \"0x%x\" $m]"
  #puts "Get Addr=[format \"0x%x\" $Addr] => $m [format \"0x%x\" $m]"
            return $m
        }
    }

    proc WritePGRISRegister {Addr Vl}  {
        global errorCode errorInfo
        global MIDAS_XPGRISAccessServer_Exists
        global XPGRISAccessServerHost

# puts "Set $Vl => Addr=[format \"0x%x\" $Addr] => $m [format \"0x%x\" $m]"
# return 0

        if {[info exists MIDAS_XPGRISAccessServer_Exists]} {
# puts "WritePGRISRegister do_Set"
            set rc [catch {interp eval "" ::namespace inscope ::urn:XPGRISAccessServer do_Set $Addr $Vl} m]
        } else {
            if {$XPGRISAccessServerHost != $::PGRIS::FEE64} {
                set XPGRISAccessServerHost  $::PGRIS::FEE64
# puts "WritePGRISRegister configure $XPGRISAccessServerHost"
                XPGRISAccessClient_Configure
            }
# puts "WritePGRISRegister XPGRISAccessClient__Set"
            set rc [catch {XPGRISAccessClient__Set $Addr $Vl} m]
        }
        if {$rc != 0} {
#            InsertLog "Set returned with an error\n$m\n$errorCode\n$errorInfo"
           puts "WritePGRISRegister returned with an error\n$m\n$errorCode\n$errorInfo"
            return -1
        } else {
#            InsertLog "Set $Vl => Addr=[format \"0x%x\" $Addr] => $m [format \"0x%x\" $m]"
#            puts "Set $Vl => Addr=[format \"0x%x\" $Addr] => $m [format \"0x%x\" $m]"
            return $m
        }
    }


